# UnsupportedFeatureException

open class UnsupportedFeatureException : RuntimeException

Thrown when a build was executed with a target Gradle version that does not support a specific feature.

#### Since

2.11

#### See also

GradleRunner

## Constructors

UnsupportedFeatureException
Link copied to clipboard
constructor(feature: String, targetGradleVersion: GradleVersion, minSupportedGradleVersion: GradleVersion)
constructor(message: String)

## Properties

cause
Link copied to clipboard
open val cause: Throwable
stackTrace
Link copied to clipboard
open var stackTrace: Array<StackTraceElement>

## Functions

addSuppressed
Link copied to clipboard
fun addSuppressed(p: Throwable)
fillInStackTrace
Link copied to clipboard
open fun fillInStackTrace(): Throwable
getLocalizedMessage
Link copied to clipboard
open fun getLocalizedMessage(): String
getMessage
Link copied to clipboard
open fun getMessage(): String
getSuppressed
Link copied to clipboard
fun getSuppressed(): Array<Throwable>
initCause
Link copied to clipboard
open fun initCause(p: Throwable): Throwable
printStackTrace
Link copied to clipboard
open fun printStackTrace()
toString
Link copied to clipboard
open fun toString(): String